<?php

namespace App\ReportsData\EntityFields;

class BankOffice extends \App\ReportsData\EntityFields\GeneralAbstract
{

	/**
	 * Returns the table name that will store the current entity queue.
	 * @return string
	 */
	protected function getDbTableName()
	{
		global $DBTRd_bankOffices;
		return $DBTRd_bankOffices;
	}

	/**
	 * {@inheritDoc}
	 * @see \App\ReportsData\EntityFields\GeneralAbstract::getCustomValues()
	 */
	protected function getCustomValues($fieldName)
	{
		switch ($fieldName) {
			case 'bank':
				return new Bank($this->values['idBank']);

			default:
				return parent::getCustomValues($fieldName);
		}

	}

}
